Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class FindDocuments

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.FindDocuments

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class FindDocuments
extends org.esupportail.portal.utils.channels.SubChannel

FindDocuments
Cette action prend en charge la recherche de documents
(c)Copyright ESup-Portail 2004

Version:
  1.2
Author:
  Mathieu Larchet

Constructor Summary
`FindDocuments(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `findinit(org.jasig.portal.ChannelRuntimeData rd)` Traitement du formulaire
`java.lang.Boolean` | `init()` Méthode appelée si la personne a le niveau requis
`java.lang.Boolean` | `invalidinit(org.jasig.portal.ChannelRuntimeData rd)` Recherche de documents en attente de validation
`java.lang.Boolean` | `invalidxml()` Affiche le résultat de la recherche
`java.lang.Boolean` | `myinvalidinit(org.jasig.portal.ChannelRuntimeData rd)` Recherche de documents personnels en attente de validation
`java.lang.Boolean` | `myinvalidxml()` Affiche le résultat de la recherche
`java.lang.Boolean` | `nameinit(org.jasig.portal.ChannelRuntimeData rd)` Recherche standard
`java.lang.Boolean` | `namexml()` Affiche le résultat de la recherche
`java.lang.Boolean` | `setXML()` Affiche le formulaire de recherche

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, init, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindDocuments

    public FindDocuments(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - La channel principale

Method Detail

### init

    public java.lang.Boolean init()
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Méthode appelée si la personne a le niveau requis

  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setXML

    public java.lang.Boolean setXML()
                             throws org.esupportail.portal.utils.channels.FrameWorkException

  Affiche le formulaire de recherche

  Returns:
    Boolean.TRUE
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### findinit

    public java.lang.Boolean findinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Traitement du formulaire

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### nameinit

    public java.lang.Boolean nameinit(org.jasig.portal.ChannelRuntimeData rd)
                               throws org.jasig.portal.PortalException,
                                      org.esupportail.portal.utils.channels.FrameWorkException

  Recherche standard

  Parameters:
    `rd` -
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### namexml

    public java.lang.Boolean namexml()
                              throws org.esupportail.portal.utils.channels.FrameWorkException

  Affiche le résultat de la recherche

  Returns:
    Boolean.TRUE
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### invalidinit

    public java.lang.Boolean invalidinit(org.jasig.portal.ChannelRuntimeData rd)
                                  throws org.jasig.portal.PortalException,
                                         org.esupportail.portal.utils.channels.FrameWorkException

  Recherche de documents en attente de validation

  Parameters:
    `rd` -
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### invalidxml

    public java.lang.Boolean invalidxml()
                                 throws org.esupportail.portal.utils.channels.FrameWorkException

  Affiche le résultat de la recherche

  Returns:
    Boolean.TRUE
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### myinvalidinit

    public java.lang.Boolean myinvalidinit(org.jasig.portal.ChannelRuntimeData rd)
                                    throws org.jasig.portal.PortalException,
                                           org.esupportail.portal.utils.channels.FrameWorkException

  Recherche de documents personnels en attente de validation

  Parameters:
    `rd` -
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### myinvalidxml

    public java.lang.Boolean myinvalidxml()
                                   throws org.esupportail.portal.utils.channels.FrameWorkException

  Affiche le résultat de la recherche

  Returns:
    Boolean.TRUE
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD